« MediaWiki:Common.css » : différence entre les versions

De Wiki Dragon Quest
Aucun résumé des modifications
Annulation des modifications 97667 de Tigali (discussion)
Balise : Annulation
 
(74 versions intermédiaires par 2 utilisateurs non affichées)
Ligne 1 : Ligne 1 :
/** Met en italique les redirections dans Special:Allpages et Special:Watchlist **/
/** Met en italique les redirections dans Special:Allpages et Special:Watchlist **/
.allpagesredirects, .watchlistredir { font-style: italic;  }
.allpagesredirects, .watchlistredir { font-style: italic;  }
/* Possibilité de ne pas mettre le titre sous une vidéo */
.no-caption .article-thumb figcaption {
display:none;
}
/*
* PAGE D'ACCUEIL
* Ancienne version
*/
/* Boîte de accueil */
.fond-boite {
background-image: url('//wikidragonquest.fr/images/8/8a/Fond_carte.png');
border: 2px solid black;
padding: 7px;
margin-top: 6px;
}
/* En-tête de boîte de l'accueil */
.fond-entete {
background-image: url('//wikidragonquest.fr/images/9/94/Fond-entete.png');
font-size: 150%;
color: white;
border-radius: 0.1em;
padding: 5px 10px;
}
/* Tour de boîte de l'accueil */
.tour-boite {
border: 2px solid #BBB;
margin-top: 6px;
padding: 7px;
background-color: #333;
}
.maincategories {
display: flex;
flex-wrap: wrap;
justify-content: center;
}


/*
/*
Ligne 51 : Ligne 8 :


.box_accueil {
.box_accueil {
border: 2px solid black;
padding-top: 3px;
padding-top: 5px;
margin-top: 10px;
margin-top: 10px;
border-radius: 3px;
border-radius: 3px;
border: solid 1px #888;
}
}


.box_accueil * {
.box_accueil * {
padding: 5px;
padding: 7px;
}
}


.titre_box_accueil {
.box_accueil .header {
border: 1px solid blue;
padding:0.4em;
border-radius: 3px 3px 0 0;
color: white;
text-align: center;
text-align: center;
border-radius: 3px;
background: #49C6DE;
font-weight: bold;
font-size:150%;
font-size: 150%;
margin-left: 3px;
margin-right: 3px;
}
 
#header_portails {
background: #7CDE54;
}
}


Ligne 75 : Ligne 39 :


#actu {
#actu {
min-width: 65%;
width: 65%;
flex-grow: 1;
flex-grow: 1;
}
}
Ligne 81 : Ligne 45 :
#autre {
#autre {
flex-grow: 1;
flex-grow: 1;
width: 30%;
}
}


#flex_portails { /*AFFECTÉ PAR UNE MEDIAQUERY*/
#flex_portails { /*AFFECTÉ PAR UNE MEDIAQUERY*/
display: flex;
display: flex;
flex-flow: row nowrap;
flex-flow: row wrap;
}
 
#portails #flex_portails {
justify-content: center;
}
}


#flex_portails p {
#flex_portails p {
justify-content: space-around;
flex-grow: 1;
flex-grow: 1;
}
}
Ligne 105 : Ligne 74 :


#actu {
#actu {
margin-right: 5px;
margin-right: 8px;
background-color: #E3FFFC;
background-color: #DAF9FF;
}
 
#autre {
background-color: #EDFCFF;
}
}


#partenariats {
#partenariats {
background-color: #E3FFFC;
background-color: #DAF9FF;
}
 
#partenariats #flex_partenariats {
padding-right:40px;
padding-left:40px;
}
}


#portails {
#portails {
background-color: #F8FFFE;
background-color: #E4FFD0;
}
}


Ligne 129 : Ligne 107 :
display:flex;
display:flex;
flex-flow: column nowrap;
flex-flow: column nowrap;
}
#actu {
width: 100%;
}
#autre {
width: 100%;
flex-grow: 1;
}
}
}
}


/*pourtour des infoboxes*/
.infoboxb {
  font-size: 89%;
  width: 300px;
  background-color: #EFEFEF;
  border: solid 1px #888;
  float: right;
  margin-left: 10px;
}


/*standard de couleur de fond, de bordure,
pour la plupart des modèles, notamment les tableaux*/
.standard-modele {
.standard-modele {
   background-color: #EFEFEF;
   background-color: #EFEFEF;
Ligne 148 : Ligne 127 :
}
}


/*standard à navboxes*/
.navbox {
width: 60%;
font-size: 89%;
}
/*infos spécifiques aux infoboxes*/
.infobox {
.infobox {
font-size: 89%;
font-size: 89%;
Ligne 157 : Ligne 143 :
.header {
.header {
color:#FFFFFF;
color:#FFFFFF;
padding:1em;
padding:0.5em;
border-radius: 3px 3px 0 0;
border-radius: 3px 3px 0 0;
}
}


.infobox .header {
.infobox .header {
padding:1em;
font-size:120%;
font-size:120%;
}
}


.cellule-infobox-champ {
.navbox .header {
padding: 4px;
font-size:120%;
color: white;
font-weight: bold;
text-align: center;
}
}


.cellule-infobox-champ-fin {
.cellule-champ {
padding: 4px;
padding: 4px;
color: white;
color: white;
font-weight: bold;
font-weight: bold;
text-align: center;
text-align: center;
border-radius:0 0 0 3px;
}
}


.cellule-infobox-contenu {
.cellule-contenu {
background:#FAFAFA;
background:#FAFAFA;
padding: 4px;
padding: 4px;
}
}


.cellule-infobox-contenu-fin {
/*classes pour arrondis*/
background:#FAFAFA;
.hg {
padding: 4px;
border-radius:3px 0 0 0;
}
 
.hd {
border-radius:0 3px 0 0;
}
.bd {
border-radius:0 0 3px 0;
border-radius:0 0 3px 0;
}
.bg {
border-radius:0 0 0 3px;
}
}


Ligne 248 : Ligne 242 :
}
}


/*-----------PURGATOIRE------------*/
.cville {
/*trucs obs à garder ou jeter, c'est selon*/
background: #DFCEA0;
}
 
.clivre {
background: #B8B88D;
}


/*
.cobjet {
* Style par défaut des infoboxes utilisant InfoboxBuilder (ajouts)
background: #D1EA45;
* À retirer dès que ces styles ne seront plus utilisés !
}
*/


.default-infobox-main-image img {  
.captitude {
  margin-left: auto;
background: #32E5FA;
  margin-right: auto;
}
}


.default-infobox-main-image-caption, .default-infobox-image-caption { text-align: center; }
.cequipement {
background: #B2DCDD;
}


.default-infobox-split-label-left, .default-infobox-split-label-right {
.carme {
  color: #3C3C3C;
background: #DEA493;
  text-align:center;
}
}


.default-infobox-split-value-left, .default-infobox-split-value-right { text-align: center; }
.cattribut {
background: #D21E02;
}


.default-infobox-footer {
.cmerch {
  padding-top: 0.75rem;
background: #6120AF;
  text-align: center;
}
}


/*Trucs à XFusio*/
/*Trucs à XFusio*/
Ligne 282 : Ligne 282 :
  */
  */
.standard {
.standard {
   background-color: #E5E4E0;
   background-color: #EFEFEF;
   border-radius: 5px;
   border: solid 1px #888;  
   border-collapse: separate;
   border-radius: 3px;
}
 
.standard:hover {
  background-color: #D9D9DA;
}
}


.standard tr:first-child > :first-child {
.standard tr:first-child > :first-child {
   border-top-left-radius: 5px;
   border-top-left-radius: 3px;
}
}


.standard tr:first-child > :last-child {
.standard tr:first-child > :last-child {
   border-top-right-radius: 5px;
   border-top-right-radius: 3px;
}
}


.standard tr:last-child > :first-child {
.standard tr:last-child > :first-child {
   border-bottom-left-radius: 5px;
   border-bottom-left-radius: 3px;
}
}


.standard tr:last-child > :last-child {
.standard tr:last-child > :last-child {
   border-bottom-right-radius: 5px;
   border-bottom-right-radius: 3px;
}
}


.standard th {
.standard th {
  background-color: #046380;
padding: 4px;
  color: white;
color: white;
  padding: 0.5em;
font-weight: bold;
text-align: center;
}
}


.standard td {
.standard td {
  background-color: #F0EFEE;
background:#FAFAFA;
  padding: 5px;
padding: 4px;
}
 
table.csort th {
background: #AE4ABE;
}
 
table.cmonstre th {
background: #00CC00;
}
 
table.cboss th {
background: #9C0C0C;
}
 
table.cpersonnage th {
background: #046380;
}
 
table.cregion th {
background: #298900;
}
 
table.cdonjon th {
background: #927D6A;
}
 
table.cchanson th {
background: #A67E2E;
}
 
table.calbum th {
background: #663E10;
}
 
table.cfilm th {
background: #000000;
}
 
table.cepisode th {
background: #444444;
}
 
table.cgens th {
background: #FF9300;
}
 
table.cjeu th {
background: #B1BBCE;
}
 
table.ccompetence th {
background: #B74000;
}
 
table.calchimie th {
background: #E9B813;
}
 
table.cville th {
background: #DFCEA0;
}
 
table.clivre th {
background: #B8B88D;
}
 
table.cobjet th {
background: #D1EA45;
}
 
table.captitude th {
background: #32E5FA;
}
 
table.cequipement th {
background: #B2DCDD;
}
 
table.carme th {
background: #DEA493;
}
 
table.cattribut th {
background: #D21E02;
}
}


.standard tr:hover th {
table.cmerch th {
  background-color: #175C7F;
background: #6120AF;
}
}


.standard tr:hover td {
/*---------------------------------------PURGATOIRE----------------------------------*/
   background-color: #EBECEC;
/*trucs obs à garder ou jeter, c'est selon*/
 
/*
* Style par défaut des infoboxes utilisant InfoboxBuilder (ajouts)
* À retirer dès que ces styles ne seront plus utilisés !
*/
 
.default-infobox-main-image img {
  margin-left: auto;
  margin-right: auto;
}
 
.default-infobox-main-image-caption, .default-infobox-image-caption { text-align: center; }
 
.default-infobox-split-label-left, .default-infobox-split-label-right {
  color: #3C3C3C;
  text-align:center;
}
 
.default-infobox-split-value-left, .default-infobox-split-value-right { text-align: center; }
 
.default-infobox-footer {
  padding-top: 0.75rem;
  text-align: center;
}
 
/*pourtour des infoboxes, legacy*/
.infoboxb {
  font-size: 89%;
  width: 300px;
   background-color: #EFEFEF;
  border: solid 1px #888;
  float: right;
  margin-left: 10px;
}
 
/*
* PAGE D'ACCUEIL
* Ancienne version
*/
 
/* Boîte de accueil */
.fond-boite {
background-image: url('//wikidragonquest.fr/images/8/8a/Fond_carte.png');
border: 2px solid black;
padding: 7px;
margin-top: 6px;
}
 
/* En-tête de boîte de l'accueil */
.fond-entete {
background-image: url('//wikidragonquest.fr/images/9/94/Fond-entete.png');
font-size: 150%;
color: white;
border-radius: 0.1em;
padding: 5px 10px;
}
 
/* Tour de boîte de l'accueil */
.tour-boite {
border: 2px solid #BBB;
margin-top: 6px;
padding: 7px;
background-color: #333;
}
 
.maincategories {
display: flex;
flex-wrap: wrap;
justify-content: center;
}
 
 
/* Possibilité de ne pas mettre le titre sous une vidéo - on n'a plus de vidéos pour l'instant après l'indépendance */
.no-caption .article-thumb figcaption {
display:none;
}
}